# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDORevisable

Packages that use CDORevisable
Package
Description
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.revision.delta
Common concepts for dealing with revision deltas and feature deltas.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.

## Uses of CDORevisable in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDORevisable
Modifier and Type
Method
Description
`CDORevisable`
CDODataInput.`readCDORevisable()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDORevisable
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDORevisable(CDORevisable revisable)`

## Uses of CDORevisable in org.eclipse.emf.cdo.common.revision

Subinterfaces of CDORevisable in org.eclipse.emf.cdo.common.revision
Modifier and Type
Interface
Description
`interface`
`CDORevision`
Encapsulates the immutable system information of a single CDO `object` between two `commits` in a `branch` and provides access to its modeled `data`.
Methods in org.eclipse.emf.cdo.common.revision that return CDORevisable
Modifier and Type
Method
Description
`static CDORevisable`
CDORevisionUtil.`copyRevisable(CDORevisable source)`
`static CDORevisable`
CDORevisionUtil.`createRevisable(CDOBranch branch, int version, long timeStamp, long revised)`
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisable
Modifier and Type
Method
Description
`static CDORevisable`
CDORevisionUtil.`copyRevisable(CDORevisable source)`

## Uses of CDORevisable in org.eclipse.emf.cdo.common.revision.delta

Methods in org.eclipse.emf.cdo.common.revision.delta that return CDORevisable
Modifier and Type
Method
Description
`CDORevisable`
CDORevisionDelta.`getTarget()`

## Uses of CDORevisable in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDORevisable
Modifier and Type
Method
Description
`CDORevisable`
CDODataInputImpl.`readCDORevisable()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDORevisable
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDORevisable(CDORevisable revisable)`

## Uses of CDORevisable in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of CDORevisable in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`interface`
`InternalCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.common.revision that implement CDORevisable
Modifier and Type
Class
Description
`class`
`AbstractCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`BaseCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`DelegatingCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`DetachedCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`PointerCDORevision`
A `synthetic` revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches.
`class`
`StubCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`SyntheticCDORevision`
A synthetic revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches.
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDORevisable
Modifier and Type
Method
Description
`void`
InternalCDORevisionDelta.`setTarget(CDORevisable target)`